package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireStandpipeMapper;
import com.ruoyi.project.patrol.fire.domain.TFireStandpipePatrol;
import com.ruoyi.project.patrol.fire.service.ITFireStandpipeService;

/**
 * 消防竖管Service业务层处理
 * 
 * @author admin
 * @date 2023-10-31
 */
@Service
public class TFireStandpipeServiceImpl implements ITFireStandpipeService 
{
    @Autowired
    private TFireStandpipeMapper tFireStandpipeMapper;

    /**
     * 查询消防竖管
     * 
     * @param id 消防竖管主键
     * @return 消防竖管
     */
    @Override
    public TFireStandpipePatrol selectTFireStandpipeById(Long id)
    {
        return tFireStandpipeMapper.selectTFireStandpipeById(id);
    }

    /**
     * 查询消防竖管列表
     * 
     * @param tFireStandpipe 消防竖管
     * @return 消防竖管
     */
    @Override
    public List<TFireStandpipePatrol> selectTFireStandpipeList(TFireStandpipePatrol tFireStandpipe)
    {
        return tFireStandpipeMapper.selectTFireStandpipeList(tFireStandpipe);
    }

    /**
     * 新增消防竖管
     * 
     * @param tFireStandpipe 消防竖管
     * @return 结果
     */
    @Override
    public int insertTFireStandpipe(TFireStandpipePatrol tFireStandpipe)
    {
        return tFireStandpipeMapper.insertTFireStandpipe(tFireStandpipe);
    }

    /**
     * 修改消防竖管
     * 
     * @param tFireStandpipe 消防竖管
     * @return 结果
     */
    @Override
    public int updateTFireStandpipe(TFireStandpipePatrol tFireStandpipe)
    {
        return tFireStandpipeMapper.updateTFireStandpipe(tFireStandpipe);
    }

    /**
     * 批量删除消防竖管
     * 
     * @param ids 需要删除的消防竖管主键
     * @return 结果
     */
    @Override
    public int deleteTFireStandpipeByIds(Long[] ids)
    {
        return tFireStandpipeMapper.deleteTFireStandpipeByIds(ids);
    }

    /**
     * 删除消防竖管信息
     * 
     * @param id 消防竖管主键
     * @return 结果
     */
    @Override
    public int deleteTFireStandpipeById(Long id)
    {
        return tFireStandpipeMapper.deleteTFireStandpipeById(id);
    }
}
